[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IReadWriteSync

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Read/Write synchronizer

## Declaration

Source position: systhrdh.inc line 16

`type IReadWriteSync = interface`
`procedure BeginRead;` |  | Start a read operation.
`procedure EndRead;` |  | End a read operation
`function BeginWrite;` |  | Start a write operation.
`procedure EndWrite;` |  | End a write operation.
`end;`

## Inheritance

`IReadWriteSync` |  | Read/Write synchronizer

## Description

IReadWriteSync is an interface for synchronizing read/write operations. Writers are always guaranteed to have exclusive access: readers may or may not have simultaneous access, depending on the implementation.